package com.persagy.apm.report.dependencies.centermiddleware.service;

import com.persagy.apm.report.dependencies.centermiddleware.model.dto.QueryEnergyDataDTO;
import io.swagger.annotations.Api;

import java.util.Date;
import java.util.Map;
import java.util.TreeMap;

@Api(value = "中间件service接口")
public interface ICenterMiddlewareWebService {
    /**
     * 获取分项能耗数据
     *
     * @param queryEnergyDataDTO 查询条件对象
     * @return 分项每月能耗信息{分项id:{时间(Date)：数据(Double)}
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    Map<String, TreeMap<Date, Double>> getItemEnergyDataMap(QueryEnergyDataDTO queryEnergyDataDTO);
}
