package com.persagy.apm.report.detail.model.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.report.detail.enums.AttrValueTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "属性取值")
@JsonInclude(JsonInclude.Include.NON_NULL)
@NoArgsConstructor
@AllArgsConstructor
public class AttrValueVO {
    @ApiModelProperty("编码")
    private String code;
    @ApiModelProperty("取值")
    private String value;
    @ApiModelProperty("值类型")
    private AttrValueTypeEnum type;
    @ApiModelProperty("单位")
    private String unit;

    public AttrValueVO(String code, String value, AttrValueTypeEnum type) {
        this.code = code;
        this.value = value;
        this.type = type;
        // 默认单位为空
        this.unit = "";
    }
}
