package com.persagy.apm.report.detail.paragraphvalue.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.persagy.apm.report.detail.model.vo.AttrValueVO;
import com.persagy.apm.report.detail.paragraphvalue.model.vo.ParagraphContentVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import org.apache.ibatis.type.ArrayTypeHandler;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 报告段落取值(ReportParagraphValue)实体类
 *
 * @author lixing
 * @version V1.0 2021-07-14 16:59:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报告段落取值")
@TableName(autoResultMap = true)
public class ReportParagraphValue extends AuditableEntity<ReportParagraphValue> implements Serializable {
    private static final long serialVersionUID = -13542856784234233L;

    @ApiModelProperty("报告概要主键")
    private String reportOutlineId;

    @ApiModelProperty("段落主键")
    private String paragraphId;

    @ApiModelProperty("段落头部信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<AttrValueVO> header;

    @ApiModelProperty("段落内容信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private ParagraphContentVO content;

    @ApiModelProperty("段落补充信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<AttrValueVO> supplement;


    public static String PROP_REPORT_OUTLINE_ID = "report_outline_id";
    public static String PROP_PARAGRAPH_ID = "paragraph_id";
    public static String PROP_HEADER = "header";
    public static String PROP_CONTENT = "content";
    public static String PROP_SUPPLEMENT = "supplement";

}
