package com.persagy.apm.report.detail.paragraphvalue.model.dto;

import com.persagy.apm.report.detail.model.vo.AttrValueVO;
import com.persagy.apm.report.detail.paragraphvalue.model.vo.ParagraphContentVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-07-14 16:59:59
 */
@Data
@ApiModel(value = "更新报告段落取值入参")
public class UpdateReportParagraphValueDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") 
    private String id;

    @ApiModelProperty(value = "报告概要主键", required = true)
    @NotNull(message = "报告概要主键不能为空") 
    private String reportOutlineId;

    @ApiModelProperty(value = "段落主键", required = true)
    @NotNull(message = "段落主键不能为空") 
    private String paragraphId;

    @ApiModelProperty(value = "段落头部信息", required = true)
    @NotNull(message = "段落头部信息不能为空") 
    private List<AttrValueVO> header;

    @ApiModelProperty(value = "段落内容信息", required = true)
    @NotNull(message = "段落内容信息不能为空") 
    private ParagraphContentVO content;

    @ApiModelProperty(value = "段落补充信息", required = true)
    @NotNull(message = "段落补充信息不能为空") 
    private List<AttrValueVO> supplement;

}
