package com.persagy.apm.report.paragraphs.service.impl.energyusage;

import com.persagy.apm.report.detail.model.vo.AttrValueVO;
import com.persagy.apm.report.detail.model.vo.GroupVO;
import com.persagy.apm.report.detail.model.vo.ItemVO;
import com.persagy.apm.report.detail.paragraphvalue.model.vo.ParagraphContentVO;
import com.persagy.apm.report.outline.model.ReportOutline;
import com.persagy.apm.report.paragraphs.service.impl.AreaDepsParagraphBuilder;
import com.persagy.apm.report.paragraphs.service.impl.ProjectParagraphBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 能耗段落多项目建造者
 *
 * @author lixing
 * @version V1.0 2021/7/20 9:36 上午
 **/
@Service
public class AreaEnergyUsageBuilder extends AreaDepsParagraphBuilder {
    @Autowired
    ProjectEnergyUsageBuilder projectEnergyUsageBuilder;

    @Override
    public List<AttrValueVO> getHeader(
            ParagraphContentVO paragraphContentVO, ReportOutline reportOutline) {
        return projectEnergyUsageBuilder.getHeader(paragraphContentVO, reportOutline);
    }

    @Override
    public List<AttrValueVO> getSummary(
            List<GroupVO> groupVOList, List<ItemVO> itemVOList, List<String> projectIdList) {
        return projectEnergyUsageBuilder.getSummary(groupVOList, itemVOList, projectIdList);
    }

    @Override
    public ProjectParagraphBuilder getProjectParagraphBuilder() {
        return projectEnergyUsageBuilder;
    }
}
