package com.persagy.apm.report.userconfig.functiongroup.model;

import com.persagy.apm.common.constant.enums.ValidEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;

/**
 * 信息点分组(FunctionGroup)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:06:29
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "信息点分组")
public class FunctionGroup extends AuditableEntity<FunctionGroup> implements Serializable {
    private static final long serialVersionUID = 104212607171794817L;

    @ApiModelProperty("分组名称")
    private String name;

    @ApiModelProperty("包含的分组id（预留字段）")
    private String groupIds;

    @ApiModelProperty("包含的信息点id")
    private String functionIds;

    @ApiModelProperty("是否展示总计")
    private int showSummary = ValidEnum.FALSE.getType();


    public static String PROP_NAME = "name";
    public static String PROP_GROUP_IDS = "group_ids";
    public static String PROP_FUNCTION_IDS = "function_ids";

}
