package com.persagy.apm.report.userconfig.functiongroup.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.report.userconfig.functiongroup.model.FunctionGroup;
import com.persagy.apm.report.userconfig.functiongroup.model.dto.AddFunctionGroupDTO;
import com.persagy.apm.report.userconfig.functiongroup.model.dto.PageQueryFunctionGroupDTO;
import com.persagy.apm.report.userconfig.functiongroup.model.dto.QueryFunctionGroupDTO;
import com.persagy.apm.report.userconfig.functiongroup.model.dto.UpdateFunctionGroupDTO;

import java.util.List;

/**
 * 信息点分组(FunctionGroup) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:06:28
 */
public interface IFunctionGroupService {

    /**
     * 创建信息点分组
     *
     * @param addFunctionGroupDTO addDTO
     * @return 信息点分组主键
     * @author lixing
     * @version V1.0 2021-05-20 19:06:28
     */
    String createFunctionGroup(AddFunctionGroupDTO addFunctionGroupDTO);

    /**
     * 信息点分组详情
     *
     * @param id 主键
     * @return 信息点分组do对象
     * @author lixing
     * @version V1.0 2021-05-20 19:06:28
     */
    FunctionGroup queryFunctionGroupDetail(String id);

    /**
     * 更新信息点分组
     *
     * @param updateFunctionGroupDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-20 19:06:28
     */
    void updateFunctionGroup(UpdateFunctionGroupDTO updateFunctionGroupDTO);

    /**
     * 删除信息点分组
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-20 19:06:28
     */
    void deleteFunctionGroup(String id);

    /**
     * 查询信息点分组
     *
     * @param queryFunctionGroupDTO queryDTO
     * @return List<FunctionGroup>
     * @author lixing
     * @version V1.0 2021-05-20 19:06:28
     */
    List<FunctionGroup> queryFunctionGroupList(QueryFunctionGroupDTO queryFunctionGroupDTO);

    /**
     * 分页查询信息点分组
     *
     * @param pageQueryFunctionGroupDTO pageQueryDTO
     * @return IPage<FunctionGroup>
     * @author lixing
     * @version V1.0 2021-05-20 19:06:28
     */
    IPage<FunctionGroup> pageQueryFunctionGroup(PageQueryFunctionGroupDTO pageQueryFunctionGroupDTO);
}
