package com.persagy.apm.report.userconfig.paragraphmodel.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;

/**
 * 段落模板(ParagraphModel)实体类
 *
 * @author lixing
 * @version V1.0 2021-07-20 10:26:11
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "段落模板")
public class ParagraphModel extends AuditableEntity<ParagraphModel> implements Serializable {
    private static final long serialVersionUID = -15949089160934728L;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("段落头部可使用的属性")
    private Object headerAvailableAttrs;

    @ApiModelProperty("段落列表可使用的属性")
    private Object listAvailableAttrs;

    @ApiModelProperty("补充说明")
    private Object supplement;


    public static String PROP_CODE = "code";
    public static String PROP_NAME = "name";
    public static String PROP_HEADER_AVAILABLE_ATTRS = "header_available_attrs";
    public static String PROP_LIST_AVAILABLE_ATTRS = "list_available_attrs";
    public static String PROP_SUPPLEMENT = "supplement";

}
