package com.persagy.apm.report.userconfig.pargraphdefine.service;

import com.persagy.apm.report.userconfig.pargraphdefine.model.*;
import com.persagy.apm.report.userconfig.pargraphdefine.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 段落定义(ParagraphDefine) service接口
 *
 * @author lixing
 * @version V1.0 2021-07-20 10:23:07
 */
public interface IParagraphDefineService {

    /**
     * 创建段落定义
     *
     * @param addParagraphDefineDTO addDTO
     * @return 段落定义主键
     * @author lixing
     * @version V1.0 2021-07-20 10:23:07
     */
    String createParagraphDefine(AddParagraphDefineDTO addParagraphDefineDTO);

    /**
     * 段落定义详情
     *
     * @param id 主键
     * @return 段落定义do对象
     * @author lixing
     * @version V1.0 2021-07-20 10:23:07
     */
    ParagraphDefine queryParagraphDefineDetail(String id);

    /**
     * 更新段落定义
     *
     * @param updateParagraphDefineDTO updateDTO
     * @author lixing
     * @version V1.0 2021-07-20 10:23:07
     */
    void updateParagraphDefine(UpdateParagraphDefineDTO updateParagraphDefineDTO);

    /**
     * 删除段落定义
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-07-20 10:23:07
     */
    void deleteParagraphDefine(String id);

    /**
     * 查询段落定义
     *
     * @param queryParagraphDefineDTO queryDTO
     * @return List<ParagraphDefine>
     * @author lixing
     * @version V1.0 2021-07-20 10:23:07
     */
    List<ParagraphDefine> queryParagraphDefineList(QueryParagraphDefineDTO queryParagraphDefineDTO);

    /**
     * 分页查询段落定义
     *
     * @param pageQueryParagraphDefineDTO pageQueryDTO
     * @return IPage<ParagraphDefine>
     * @author lixing
     * @version V1.0 2021-07-20 10:23:07
     */
    IPage<ParagraphDefine> pageQueryParagraphDefine(PageQueryParagraphDefineDTO pageQueryParagraphDefineDTO);

    /**
     * 获取报告定义的模板编码
     *
     * @param defineId 报告定义主键
     * @return 报告定义的模板编码
     * @author lixing
     * @version V1.0 2021/7/20 11:00 上午
     */
    String getModelCode(String defineId);

    /**
     * 获取报告定义的模板编码
     *
     * @param paragraphDefine 报告定义对象
     * @return 报告定义的模板编码
     * @author lixing
     * @version V1.0 2021/7/20 11:00 上午
     */
    String getModelCode(ParagraphDefine paragraphDefine);
}
