package com.persagy.apm.report.userconfig.statisticsitems.service;

import com.persagy.apm.report.userconfig.statisticsitems.model.*;
import com.persagy.apm.report.userconfig.statisticsitems.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 统计条目(StatisticItem) service接口
 *
 * @author lixing
 * @version V1.0 2021-07-27 16:11:57
 */
public interface IStatisticItemService {

    /**
     * 创建统计条目
     *
     * @param addStatisticItemDTO addDTO
     * @return 统计条目主键
     * @author lixing
     * @version V1.0 2021-07-27 16:11:57
     */
    String createStatisticItem(AddStatisticItemDTO addStatisticItemDTO);

    /**
     * 统计条目详情
     *
     * @param id 主键
     * @return 统计条目do对象
     * @author lixing
     * @version V1.0 2021-07-27 16:11:57
     */
    StatisticItem queryStatisticItemDetail(String id);

    /**
     * 更新统计条目
     *
     * @param updateStatisticItemDTO updateDTO
     * @author lixing
     * @version V1.0 2021-07-27 16:11:57
     */
    void updateStatisticItem(UpdateStatisticItemDTO updateStatisticItemDTO);

    /**
     * 删除统计条目
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-07-27 16:11:57
     */
    void deleteStatisticItem(String id);

    /**
     * 查询统计条目
     *
     * @param queryStatisticItemDTO queryDTO
     * @return List<StatisticItem>
     * @author lixing
     * @version V1.0 2021-07-27 16:11:57
     */
    List<StatisticItem> queryStatisticItemList(QueryStatisticItemDTO queryStatisticItemDTO);

    /**
     * 分页查询统计条目
     *
     * @param pageQueryStatisticItemDTO pageQueryDTO
     * @return IPage<StatisticItem>
     * @author lixing
     * @version V1.0 2021-07-27 16:11:57
     */
    IPage<StatisticItem> pageQueryStatisticItem(PageQueryStatisticItemDTO pageQueryStatisticItemDTO);

    /**
     * 根据code获取统计条目对象
     *
     * @param code 统计条目编码
     * @return 统计条目对象
     * @author lixing
     * @version V1.0 2021/8/2 7:27 下午
     */
    StatisticItem getItemByCode(String code);
}
